/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.HotelServices.model.dao;

import com.HotelServices.model.dto.EtelDTO;
import com.HotelServices.model.dto.SzobaDTO;
import com.HotelServices.model.dto.VendegDTO;
import java.util.LinkedList;

/**
 *
 * @author Sensei
 */
public interface VendegDAO extends GenericDAO<VendegDTO, Long> {
    
    public boolean regisztracio(String felhasznalonev, String jelszo,String jelszoUjra, String nev, int iranyitoszam, String cim, String telszam);
    public LinkedList<SzobaDTO> szobak();
    public LinkedList<EtelDTO> etel();
    public boolean takaritasRegisztracio(int szobaszam, String leiras, String nev);
}
